Create bank statement transactionCopy Pagepost https://api.wafeq.com/v1/bank-accounts/{bank_account_id}/statement-transactions/Endpoint for creating a new bank statement transaction.Path Paramsbank_account_idstringrequiredBody Paramsapplication/jsonapplication/x-www-form-urlencodedmultipart/form-dataA ModelSerializer that takes additional arguments for "fields", "omit" and "expand" in order to control which fields are displayed, and whether to replace simple values with complex, nested serializationsamountdoublerequiredThe statement amount in the transaction.bank_referencestringcost_centerstring | nullThe cost center associated with this transaction, if any.datedaterequireddescriptionstringprojectstring | nullThe project associated with this transaction, if any.referencestringstatement_balancedoublerequiredThe balance reported by the bank after this transaction.HeadersX-Wafeq-Idempotency-KeystringClient-provided UUID to uniquely identify a requestcontent-typestringenumDefaults to application/jsonGenerated from available request content typesapplication/jsonapplication/x-www-form-urlencodedmultipart/form-dataAllowed:application/jsonapplication/x-www-form-urlencodedmultipart/form-dataResponse 201Updated 22 days ago